Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class DataServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.makumba.devel.DataServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  DataObjectViewerServlet, DataPointerValueConverter, DataQueryServlet, DataTypeListerServlet

    public abstract class DataServlet

extends HttpServlet

This class provides basic functionality for data viewing and querying servlets.

Version:
  $Id: DataServlet.java 3402 2008-12-16 01:22:04Z rosso_nero $
Author:
  Rudolf Mayer
See Also:
  Serialized Form

Field Summary
`protected String` | `browsePath`
`protected String` | `contextPath`
`protected Pointer` | `dataPointer`
`(package private) static Logger` | `logger`
`static int` | `MODE_CONVERTOR`
`static int` | `MODE_LIST`
`static int` | `MODE_QUERY`
`static int` | `MODE_VIEW`
`protected String` | `toolLocation`
`protected String` | `type`
`protected String` | `virtualPath`

Constructor Summary
`DataServlet()`

Method Summary
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`static Vector<FieldDefinition>[]` | `extractFields(DataDefinition dd, boolean skipDefaultFields)` Extracts the fields and sets from a given DataDefinition.
`protected void` | `writePageContentHeader(String type, PrintWriter w, String dataBaseName, int mode)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_LIST

    public static final int MODE_LIST

See Also:
  Constant Field Values

### MODE_QUERY

    public static final int MODE_QUERY

See Also:
  Constant Field Values

### MODE_VIEW

    public static final int MODE_VIEW

See Also:
  Constant Field Values

### MODE_CONVERTOR

    public static final int MODE_CONVERTOR

See Also:
  Constant Field Values

### browsePath

    protected String browsePath

### contextPath

    protected String contextPath

### dataPointer

    protected Pointer dataPointer

### type

    protected String type

### virtualPath

    protected String virtualPath

### logger

    static final Logger logger

### toolLocation

    protected String toolLocation

Constructor Detail

### DataServlet

    public DataServlet()

Method Detail

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### writePageContentHeader

    protected void writePageContentHeader(String type,
                                          PrintWriter w,
                                          String dataBaseName,
                                          int mode)

### extractFields

    public static Vector<FieldDefinition>[] extractFields(DataDefinition dd,
                                                          boolean skipDefaultFields)

  Extracts the fields and sets from a given DataDefinition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20